curl --location 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach"
payload = {
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
users: ['{{external_user_id}}'],
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
[
{
"team_id": 4241,
"user_id": 48878,
"created_at": "2026-01-08 19:20:47",
"updated_at": "2026-01-08 19:20:47",
"id": 178148,
"__meta__": {
"company_id": 2336,
"user": {
"id": 48878,
"first_name": "JOTA",
"last_name": "Olaechea",
"email": "gracie.mccullough@yahoo.com",
"company_id": 2336
}
}
}
]
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Missing associations for users: external_user_1123323245433adasd3353342334431"
}
Teams
Detach Users from Team
Removes one or more users from an existing team
PUT
/
v2
/
integrations
/
teams
/
{id}
/
detach
curl --location 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach"
payload = {
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
users: ['{{external_user_id}}'],
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
[
{
"team_id": 4241,
"user_id": 48878,
"created_at": "2026-01-08 19:20:47",
"updated_at": "2026-01-08 19:20:47",
"id": 178148,
"__meta__": {
"company_id": 2336,
"user": {
"id": 48878,
"first_name": "JOTA",
"last_name": "Olaechea",
"email": "gracie.mccullough@yahoo.com",
"company_id": 2336
}
}
}
]
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Missing associations for users: external_user_1123323245433adasd3353342334431"
}
Removes one or more users from an existing team. This operation validates that all provided users exist and are currently attached to the team before detaching them.
Path Parameters
string
required
External team ID
Request Body Requirements
array
required
Array of external user IDs to detach from the team
Known Errors
ZC001— Entity is not associated (team with the specified external ID not found) or missing associations for usersValidationError— Missing required fields or empty users array
curl --location 'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach"
payload = {
"users": ["{{external_user_id}}"],
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/{{external_team_id}}/detach',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
users: ['{{external_user_id}}'],
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
[
{
"team_id": 4241,
"user_id": 48878,
"created_at": "2026-01-08 19:20:47",
"updated_at": "2026-01-08 19:20:47",
"id": 178148,
"__meta__": {
"company_id": 2336,
"user": {
"id": 48878,
"first_name": "JOTA",
"last_name": "Olaechea",
"email": "gracie.mccullough@yahoo.com",
"company_id": 2336
}
}
}
]
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Missing associations for users: external_user_1123323245433adasd3353342334431"
}
Was this page helpful?
⌘I

